#!/usr/bin/python3

from openbabel import *
import sys

filename = sys.argv[1]

mol = OBMol()
conv = OBConversion()
conv.SetInFormat("MOL2")
conv.ReadFile(mol, filename)

num_halogens = 0
for atom in OBMolAtomIter(mol):
  if (atom.GetAtomicNum()==17 or atom.GetAtomicNum()==35 or atom.GetAtomicNum()==53):  
    num_halogens += 1

print(num_halogens)
